Subject: Re: bug#14876: 24.3; load-path and environment variable EMACSLOADPATH

From: Glenn Morris <[email-masked]>
Date: Mon, 15 Jul 2013 18:48:44 -0400

"Roland Winkler" wrote:

> The node "Library Search" suggests to to set EMACSLOADPATH to some
> user directory such as /home/foo/.emacs.d/lisp.

I don't quite see that it literally says that; but the info node should
be tidied up a little bit.

> The proper meaning of EMACSLOADPATH seems to be the one given in the
> docstring of load-path saying that EMACSLOADPATH overrides the
> default value of load-path specified by file `epaths.h' when Emacs
> was built.

Yes.

> The docstring of load-path also says that an element `nil' means
> "try default directory". Yet what is the "default directory" in this
> context?

Whatever the value is where you call `load' from.

> default-directory is a buffer-local variable with default nil.

Seems like a red-herring. Normally every buffer has a non-nil value.

> I looked into this because I was looking for a way to _extend_ the
> emacs load path in a Makefile generated via autoconf.

Use "emacs -L /path/to/add".

(cf http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12100 )